​

Create field

POST
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields

Creates a directory field. Note: advanced field bindings (custom_property_uid, linked_directory_id) are typically configured via directory create/update endpoints.

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
required
string
minLength: 1
maxLength: 256

Field name

type
required
enum
[
  string,
  number,
  date,
  email,
  url,
  phone,
  checkbox,
  select,
  user,
  catalog,
  directory_link,
  file
]

Field type

sort_order
integer
minimum: 0

Field position

required
boolean
default:false

Required field flag

is_display
boolean
default:false

Display field flag

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Field ID (UUID)
custom_directory_id

string

Directory ID (UUID)
name

string

Field name
type

enum

Field type: string | number | date | email | url | phone | checkbox | select | user | catalog | directory_link | file
required

boolean

Required flag
is_display

boolean

Display field flag
sort_order

integer

Field position
condition

enum

Field condition: active | inactive | removed
created

string

Create date
updated

string

Last update timestamp
400
DescriptionResponse typeExample
Validation errorObject
Open

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}/fields' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!